.input-trans {
    background-color: transparent;
    border-radius: 0;
    border: 0;
    padding: 0;
    color: inherit;
}

// simple input 

.input-control {
    width: 100%;
    background: #fff;
    border: 0;
    box-sizing: border-box;
    border-radius: 10px;
    height: 55px;
    font-size: 18px;
    line-height: 21px;
    padding: 18px 16px 15px;
    font-weight: 300;

    &::-webkit-input-placeholder {
        color: #ACBEC0;
        font-weight: 300;
    }

    &::-moz-placeholder {
        color: #ACBEC0;
        font-weight: 300;
    }

    &:-ms-input-placeholder {
        color: #ACBEC0;
        font-weight: 300;
    }

    &:-moz-placeholder {
        color: #ACBEC0;
        font-weight: 300;
    }

    &:focus {
        box-shadow: 0px 4px 50px rgba(102, 253, 208, 0.4);
    }

    &.disabled,
    &:disabled {
        opacity: .4;
        color: #ACBEC0;
    }

    &[readonly]:focus {
        box-shadow: none;
    }

    &.has-error {
        box-shadow: 0px 4px 50px rgba($red, 0.8);
    }

    &.has-warning {
        box-shadow: 0px 4px 50px rgba($orange2, 0.8);
    }


    &.input-sm {
        height: 32px;
        font-size: 16px;
        line-height: 16px;
        padding: 6px 12px 2px;
        border-radius: 8px;

        &:focus {
            box-shadow: 0px 0px 25px rgba(102, 253, 208, 0.5);
        }

        &.has-error {
            box-shadow: 0px 0px 25px rgba($red, 1);
        }

        &.has-warning {
            box-shadow: 0px 4px 50px rgba($orange2, 1);
        }
    }
}

textarea.input-control {
    height: auto;
    resize: none;

    &.h-2-controls {
        height: 167px;
    }
}


.input-error {
    display: block;
    color: $red;
    font-size: 14px;
    margin-top: 6px;
}

.input-warning {
    display: block;
    color: $orange2;
    font-size: 14px;
    margin-top: 6px;
}

.control-gray {
    background: rgba(#fff, 0.1);
    border: 1px solid #696969;

    color: rgba(#fff, 0.8);

    &:focus {
        box-shadow: none;
        border-color: #fff;
    }
}

.control-search {
    padding-right: 40px;
    background-image: url($img-search);
    background-repeat: no-repeat;
    background-position: top 55% right 16px;
}

.control-calendar {
    padding-right: 40px;
    background-image: url($img-calendar);
    background-repeat: no-repeat;
    background-position: top 55% right 16px;

    &.control-gray {
        background-image: url($img-calendar-white);
    }
}

.input-label {
    display: block;
    font-size: 18px;
    line-height: 21px;
    min-height: 21px;
    margin-bottom: 12px;
}

select.input-control {
    padding: 16px 16px 14px;
    width: 100%;
    -moz-appearance: none;
    -webkit-appearance: none;
    appearance: none;

    background-image: url($img-select);
    background-position: right 14px top 50%;
    background-repeat: no-repeat;

    &.control-gray {
        background-image: url($img-arrow-down);

        option {
            color: $black;
        }
    }
}

.input-group {
    margin-bottom: 24px;
}

.input-promo {
    position: relative;

    input {
        padding-right: 110px;

        &:focus {
            &+.btn {
                display: flex;
            }
        }
    }

    &.has-value {
        .btn {
            display: flex;
        }
    }

    .btn {
        display: none;
        position: absolute;
        right: 0;
        top: 0;
        border-top-left-radius: 0;
        border-bottom-left-radius: 0;
        width: 100px;
        padding: 0;
    }
}

// fields with units   

.form-row {
    display: flex;
}

.form-info {
    margin-top: 15px;
    color: rgba(#000, 0.25);
    text-transform: uppercase;
    text-align: center;
    font-weight: 500;
    line-height: 1.3em;
    font-size: 16px;
}

.field-row {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    white-space: nowrap;

    &:last-child {
        margin-bottom: 0;
        height: 36px;
        align-items: flex-end;
    }

    &.error {
        .field-control {
            color: $orange;
        }
    }
}


.field-wrap {
    width: 100%;
    height: 88px;
    position: relative;
    padding: 19px 16px 10px;
    color: #fff;
    flex-grow: 0;

    @media(min-width: $sm) {
        padding: 18px 30px 10px;
    }
}

.field-control {
    border: 0;
    padding: 0;
    background-color: transparent;

    font-size: 20px;
    line-height: 20px;
    height: 20px;

    width: 100%;

    font-weight: bold;
    color: $green1;

    &.tt-normal {
        text-transform: none;
    }

    &::-webkit-input-placeholder {
        color: #fff;
    }

    &::-moz-placeholder {
        color: #fff;
    }

    &:-ms-input-placeholder {
        color: #fff;
    }

    &:-moz-placeholder {
        color: #fff;
    }

    &:disabled {
        background-color: transparent;
        color: $gray;

        &+.field-unit {
            color: $gray;
        }
    }


    @media(min-width: $md) {
        font-size: 24px;
        line-height: 24px;
        height: 24px;

    }
}

.i-coin {
    width: 20px;
    height: 20px;
    display: inline-block;
    vertical-align: middle;
    border-radius: 50%;
    overflow: hidden;
    background-color: $black;

    img {
        display: block;
        width: 100%;
        height: auto;
        border-radius: 50%;

    }

    &.size-32 {
        width: 32px;
        height: 32px;
    }
}

.field-unit,
.field-error,
.field-data {
    display: inline-flex;
    font-size: 14px;
    line-height: 20px;
    align-self: flex-end;
    flex-grow: 0;
    width: auto;
    color: rgba(#fff, 0.5);
    text-transform: none;
    flex-wrap: nowrap;
    align-items: center;

    .i-coin {
        margin-right: 5px;
        margin-top: -2px;
    }

    .coin {
        width: 20px;
        height: 20px;
        display: inline-block;
        vertical-align: middle;
        border-radius: 50%;

    }
}

.field-error {
    color: $orange;
    margin-bottom: 0;
    flex-shrink: 0;
    margin-top: -4px;
    text-align: right;
}



.field-label {
    display: block;
    font-size: 14px;
    line-height: 16px;
    color: #fff;
}

.field-collateral {
    position: relative;
    display: flex;
    align-items: center;
    cursor: pointer;
    font-weight: normal;

    .coins {
        display: flex;
        padding-left: 10px;
        margin-right: 10px;

        .i-coin {
            display: block;
            width: 24px;
            height: 24px;
            border-radius: 50%;
            // border: 1px solid $black;
            margin-left: -10px;
            box-shadow: 0 0 0 2px $gray;
        }
    }

    .sum {
        color: rgba(#fff, 0.3);
        font-weight: 400;
        margin-top: 2px;
    }

    .more-assets {
        align-self: flex-end;
    }

    &:hover {
        .field-collateral__details {
            display: block;
        }
    }
}

.field-collateral__details {
    // display: none;
    position: absolute;
    bottom: 0;
    left: 0;
    padding-bottom: 30px;
    z-index: 13;
    //max-width: 100%;
    font-size: 16px;

    &.bottom {
        bottom: auto;
        padding-bottom: 0;
        top: 100%;
        padding-top: 20px;
    }

    .inner {
        background: linear-gradient(180deg, rgba(0, 0, 0, 0.04) 0%, rgba(0, 0, 0, 0.198) 100%), #343434;
        box-shadow: 0px 10px 50px rgba(0, 0, 0, 0.1);
        padding: 12px 20px 8px;
        border-radius: 10px;
        max-height: 292px;
        overflow: auto;

        &::-webkit-scrollbar {
            width: 6px;
            background-color: transparent;
            background-color: #484848;
            border-radius: 0;
        }

        &::-webkit-scrollbar-thumb {
            background-color: rgba(#fff, 0.3);
            border-radius: 0;
        }
    }

    table {
        border-collapse: collapse;
        border: 0;
        background-color: transparent;
        width: 100%;

        td {
            border-bottom: 1px solid rgba(#fff, 0.1);
            padding: 10px 0 8px;
            vertical-align: middle;
        }

        tr:last-child td {
            border-bottom: 0;
        }
    }

    .field-unit {
        padding-left: 16px;
        margin-top: 4px;
    }

    .unit-sum {}

    .i-coin {
        border: 0;
    }
}


// select group
.select-group {
    position: relative;
    padding: 5px;
    display: flex;
    background-color: #fff;
    border-radius: 10px;

    &.disabled {
        background-color: rgba(#fff, 0.4);
    }

    .input-control {
        height: 45px;
        flex-grow: 1;
        background: transparent;
        margin-right: 5px;
    }

    .select-coin {
        width: auto;
        flex-grow: 0;
        height: 45px;

        .select-coin__value {
            padding: 12px 12px 11px 10px;
            border-radius: 10px;
            background-color: $black;
            height: 100%;
        }
    }


    .select-coin .arrow {
        display: block;
        width: 20px;
        height: 20px;
        opacity: 0.6;
    }



    .field-unit {
        display: flex;
        align-items: center;
        font-size: 16px;
        line-height: 20px;

        .i-coin {
            margin-top: -3px;
        }
    }
}

// coin group ------
.coin-group {
    position: relative;

    .input-control {
        padding-left: 50px;
    }

    .i-coin {
        position: absolute;
        left: 14px;
        top: 16px;
        width: 24px;
        height: 24px;
    }
}

// number group ------
.number-group {
    position: relative;
    width: 105px;
    flex-shrink: 0;

    .input-control {
        padding-right: 32px;
    }

    .qty-plus,
    .qty-minus {
        position: absolute;
        height: 50%;
        right: 0;
        top: 0;
        display: flex;
        align-items: center;
        justify-content: center;
        width: 32px;
        border: 0;
        background: rgba($gray2, 1);
        color: #fff;
        font-weight: bold;
        border: 1px solid #fff;

        &:disabled {
            opacity: 0.3;
            cursor: default;
        }

        &:hover:not(:disabled) {
            opacity: 0.8;
        }
    }

    .qty-plus {
        border-top-right-radius: 10px;
        border-bottom: 0;
    }

    .qty-minus {
        top: 50%;
        border-bottom-right-radius: 10px;
    }
}

// pin group ------
.pin-group {
    position: relative;

    input {
        padding-right: 60px;
    }

    .control-gray+.btn:before {
        background-image: url($img-eye-white);
    }

    .btn {
        position: absolute;
        right: 0;
        top: 0;
        bottom: 0;
        width: 60px;
        height: auto;
        background: transparent;
        padding: 0;
        transition: opacity 0.2s ease;
        border: 0;

        &::before {
            content: '';
            display: block;
            width: 24px;
            height: 24px;
            background: url($img-eye) 0 0 no-repeat;
        }

        &:hover {
            opacity: 0.6;
        }
    }

    &.is-visible {
        .btn::before {
            background-position: 0 -24px;
        }
    }
}

.checkbox {
    display: inline-block;
    position: relative;
    font-size: 14px;
    line-height: 20px;
    cursor: pointer;
    padding: 1px 0;
    padding-left: 32px;

    input {
        position: absolute;
        left: -99999px;

        &:checked+.check::before {
            background-color: $black;
        }

        &:disabled+.check {
            background-color: rgba(#fff, 0.4);
        }
    }

    .check {
        position: relative;
        display: inline-block;
        vertical-align: middle;
        margin-right: 8px;
        margin-top: -2px;
        font-size: 0;
        line-height: 0;
        width: 20px;
        height: 20px;
        border-radius: 5px;
        background-color: #fff;
        position: absolute;
        left: 0;

        &::before {
            content: '';
            display: block;
            box-sizing: border-box;
            width: 12px;
            height: 12px;
            border-radius: 8px;
            background-color: transparent;
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);

        }
    }

    .check-text {
        display: inline-block;
    }

    @media(min-width: $md) {
        &:not(.sm) {
            font-size: 18px;
            line-height: 20px;
            // .check {
            //     margin-top: -8px; 
            // }
        }

        // .i-tip {
        //     top: -4px;
        // }
    }
}

.checkbox__extra {
    padding-left: 28px;
    padding-top: 12px;
}


// select coin 
.select-coin {
    position: relative;
    z-index: 1;
    cursor: pointer;

    &:hover {
        .select-coin__list {
            display: block;
        }
    }

    .select-coin__value {
        display: flex;
        justify-content: space-between;
        align-items: center;
        padding: 6px 0;
    }


    .select-coin__list {
        // display: none;
        width: 140px;
        max-height: 228px;
        list-style-type: none;
        margin: 0;
        padding: 7px 0;
        position: absolute;
        top: 100%;
        background: linear-gradient(180deg, rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 0.198) 100%), #343434;
        box-shadow: 0px 10px 50px rgba(0, 0, 0, 0.1);
        right: 0;
        border-radius: 10px;
        overflow: auto;

        &::-webkit-scrollbar {
            width: 6px;
            background-color: transparent;
            background-color: #484848;
            border-radius: 0;
        }

        &::-webkit-scrollbar-thumb {
            background-color: rgba(#fff, 0.3);
            border-radius: 0;
        }

        li {
            padding: 7px 15px;
            cursor: pointer;

            &:hover {
                .field-unit {
                    color: rgba(#fff, 0.5);
                }
            }
        }
    }

    .field-unit {
        color: #fff;
    }

    .arrow {
        margin-left: 4px;
    }
}


// custom select -------------------------------------------------
.select-custom {
    position: relative;
    color: $black;

    .input-control {
        width: 100%;
        cursor: pointer;
        padding-right: 50px;
        background-image: url($img-select);
        background-position: right 14px top 50%;
        background-repeat: no-repeat;

        &.active {
            border-bottom-left-radius: 0;
            border-bottom-right-radius: 0;
            box-shadow: 0px 4px 50px rgba(102, 253, 208, 0.4);

            &+.options-list {
                display: block;
            }
        }

        &.no-arrow {
            background-image: none;
        }

        &.control-gray {
            background-image: url($img-arrow-down);

            &.active {
                border-bottom: 1px solid dimgray;
                border-bottom: 0;
            }
        }

        span {
            display: block;
            text-overflow: ellipsis;
            overflow: hidden;
            white-space: nowrap;

            &.empty {
                color: #ACBEC0;
                font-weight: 300;
            }
        }
    }

    .options-list {
        // display: none;
        list-style-type: none;
        margin: 0;
        background-color: #fff;
        position: absolute;
        top: 100%;
        left: 0;
        width: 100%;
        border-bottom-left-radius: 10px;
        border-bottom-right-radius: 10px;
        z-index: 12;
        padding: 4px 0 6px;
        border-top: 1px solid rgba($black, 0.1);

        max-height: 300px;
        overflow: auto;

        &.list-gray {
            background: #353838;
            border: 1px solid dimgray;
            color: rgba(255, 255, 255, .8);

            .option:hover {
                background-color: rgba(#fff, 0.1);
            }
        }

        &::-webkit-scrollbar {
            width: 14px;
            background-color: transparent;
            background-color: rgba(#fff, 0.1);
            border-radius: 0;
            border-left: 4px solid #353838;
        }

        &::-webkit-scrollbar-thumb {
            background-color: rgba(#fff, 0.3);
            border-radius: 0;
            border-left: 4px solid #353838;
        }
    }

    .option {
        padding: 14px 16px 12px;
        font-size: 18px;
        line-height: 21px;
        cursor: pointer;

        &:hover {
            background-color: rgba($gray2, 0.1);
        }

        &.selected {
            font-weight: bold;
        }
    }


    .option-chain {
        padding-left: 28px;
        position: relative;

        img {
            position: absolute;
            left: 0;
            display: block;
            width: 20px;
            height: 20px;
            border-radius: 50%;
        }
    }
}

// custom select .select-collateral --------------------

.select-collateral {
    .option-coin {
        display: flex;
        align-items: center;

        .i-coin {
            width: 20px;
            height: 20px;
            margin-right: 6px;
        }

        .name {
            padding-top: 2px;
            display: block;
            text-overflow: ellipsis;
            overflow: hidden;
            white-space: nowrap;
        }
    }

    .coins {
        display: flex !important;
        padding-left: 8px;

        .i-coin {
            display: block;
            width: 20px;
            height: 20px;
            border-radius: 50%;
            margin-left: -8px;
            // box-shadow: 0 0 0 1px $gray;
        }
    }

    .option {
        padding-right: 50px;

        &.selected {
            font-weight: 300;
            background-image: url($img-check-white);
            background-position: right 14px top 50%;
            background-repeat: no-repeat;
        }
    }
}


.select-token {
    .option {
        padding: 12px 16px 10px;
    }

    .option-token {
        width: 100%;
        height: 100%;
        display: flex;
        align-items: center;
        flex-wrap: wrap;

        .img {
            display: block;
            height: 30px;
            width: auto;
            margin-right: 10px;
        }

        span {
            display: block;
            text-overflow: ellipsis;
            overflow: hidden;
            white-space: nowrap;
        }

        .description {
            display: block;
            width: 100%;
            font-size: 15px;
            padding: 4px 0 0;
            color: rgba($black, 0.75);
            text-overflow: auto;
            overflow: visible;
            white-space: wrap;
        }
    }
}




// custom simple react selects -------------------------------------------------
.rc-select {
    width: 100%;

    .react-select__control {
        border-radius: 10px;
        height: 55px;
        font-size: 18px;
        line-height: 21px;
        border: 0;

        &.react-select__control--is-focused {
            box-shadow: 0px 4px 50px rgba(102, 253, 208, 0.4);
            border: 0;
        }
    }

    .react-select__menu {
        border-radius: 10px;
    }

    .react-select__indicators {}

    .react-select__indicator-separator {
        display: none;
    }

    .react-select__value-container {
        padding: 18px 0 14px 16px;
    }

    .react-select__input-container {
        padding: 0;
        margin: 0;
    }

    .react-select__option {
        color: $black;
        padding: 12px 16px 10px 16px;

        &.react-select__option--is-focused {
            background-color: transparent;
            opacity: 0.5;
        }

        &.react-select__option--is-selected {
            background-color: transparent;
            opacity: 0.5;
        }
    }
}

// switcher -------------------------------------------------
.switcher {
    display: inline-flex;
    height: 55px;
    border-radius: 10px;
    border: 1px solid #696969;
    background: rgba(255, 255, 255, 0.10);
    padding: 6px;

    &__btn {
        position: relative;
        z-index: 1;
        width: 115px;
        font-size: 16px;
        line-height: 1em;
        display: flex;
        align-items: center;
        justify-content: center;
        overflow: hidden;
    }

    .toggle {
        display: none;

        &+label {
            cursor: pointer;
            position: relative;
            z-index: 1;

            &:after {
                content: "";
                display: block;
                position: absolute;
                background: $black;
                height: 100%;
                top: 0;
                border-radius: 8px;
                transition: left 200ms cubic-bezier(0.77, 0, 0.175, 1);
                width: 100%;
                z-index: -1;
            }
        }

        &.toggle-left+label {
            &:after {
                left: 100%
            }
        }

        &.toggle-right+label {
            &:after {
                left: -100%;
            }
        }

        &:checked+label {
            font-weight: bold;

            &:after {
                left: 0;
            }
        }
    }
}

// data picker -------------------------------------------------


.react-datepicker-wrapper {
    width: 100%;
}

.react-datepicker-popper {
    z-index: 2;
}